Skip to main content
GET
/
user_settings
/
{id}
Get a user settings
curl --request GET \
  --url https://app.leadconduit.com/user_settings/{id} \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": "5fd4371e940df5a34a3888b2",
  "notifications": {
    "submission_doc_updates": {
      "enabled": true,
      "unsubscribed_at": "2023-11-07T05:31:56Z"
    },
    "connection_invites": {
      "enabled": true,
      "unsubscribed_at": "2023-11-07T05:31:56Z"
    }
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.activeprospect.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

LeadConduit uses HTTP Basic Authentication with the username API and your API key as the password.

For example: API:1f1b96c9150d8050e858c043d543bb4eadae0e6f'

Path Parameters

id
string
required
read-only

The ID of the user 24 character alpha-numeric BSON identifier

Pattern: ^[0-9a-fA-F]{24}$
Example:

"5fd4371e940df5a34a3888b2"

Response

200 - application/json

OK

id
string
required
read-only

The ID of the setting which uniquely identifies it, same as user ID

Pattern: ^[0-9a-fA-F]{24}$
Example:

"5fd4371e940df5a34a3888b2"

notifications
object
required

User notification settings

created_at
string<date-time>
read-only
updated_at
string<date-time>
read-only